---

#! /cephfs/tmp/d20241205-1898910-5hkilv/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: filesystems
job_origin: kernel-selftests.yaml
queue: bisect
testbox: lkp-csl-d01
commit: 75ead69a717332efa70303fba85e1876793c74a9
branch: internal-eywa/master
kconfig: x86_64-dcg_x86_64_defconfig-kselftests
extend_kconfig: '1'
name: "/cephfs/tmp/d20241205-1898910-5hkilv/kernel-selftests.yaml"
kernel_cmdline:
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-filesystems-debian-12-x86_64-20240206.cgz-75ead69a7173-20241227-110485-zry854-1.yaml"
id: f67166d62c45fb2c9e3de668f9f545dc12343940
queuer_version: "/zday/lkp"

#! hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz
netconsole_port: 6685
ucode: '0x5003604'

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- BLOCK: "y"
- BTRFS_FS: m
- EFI: "y"
- EFIVAR_FS
- FTRACE: "y"
- IP_ADVANCED_ROUTER: "y"
- IP_MULTIPLE_TABLES: "y"
- RC_CORE
- RC_DECODERS: "y"
- RC_DEVICES: "y"
- RC_LOOPBACK: m
- RUNTIME_TESTING_MENU: "y"
- STAGING: "y"
- SYNC_FILE: "y"
- TEST_FIRMWARE: m
- TEST_KMOD: m
- TEST_LKM: m
- TEST_USER_COPY: m
- TUN: m
- XFS_FS: m
- OVERLAY_FS
- PERF_EVENTS: "y"
- SCHED_DEBUG: "y"
- SHMEM: "y"
- TMPFS: "y"
initrds:
- linux_headers
- linux_selftests
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-12-27 06:18:58.139820058 +08:00
compiler: gcc-12
_rt: "/result/kernel-selftests/filesystems/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241212-153134"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/filesystems/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9/0
- BOOT_IMAGE=/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9/vmlinuz-6.12.0-rc1-00030-g75ead69a7173
- branch=internal-eywa/master
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-filesystems-debian-12-x86_64-20240206.cgz-75ead69a7173-20241227-110485-zry854-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-dcg_x86_64_defconfig-kselftests
- commit=75ead69a717332efa70303fba85e1876793c74a9
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20241208.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7503345ac5f5-1_20241208.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241204090034/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-filesystems-debian-12-x86_64-20240206.cgz-75ead69a7173-20241227-110485-zry854-1.cgz"
last_kernel: 6.13.0-rc1
acpi_rsdp: '0x000f05b0'

#! queue options
queue_cmdline_keys:
- branch
- commit

#! user overrides
kernel: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9/vmlinuz-6.12.0-rc1-00030-g75ead69a7173"
result_root: "/result/kernel-selftests/filesystems/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/75ead69a717332efa70303fba85e1876793c74a9/0"

#! /db/releases/20241226085450/lkp-src/include/site/inn
dequeue_time: 2024-12-27 07:22:01.457287633 +08:00
job_state: finished
loadavg: 1.06 0.52 0.20 1/445 5849
start_time: '1735255454'
end_time: '1735255491'
version: "/lkp/lkp/.src-20241212-153134:39764b117979:42c8d5d500c7"
